summaryrefslogtreecommitdiffstats
path: root/source/a/minicom/minicom.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/minicom/minicom.SlackBuild')
-rwxr-xr-xsource/a/minicom/minicom.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/source/a/minicom/minicom.SlackBuild b/source/a/minicom/minicom.SlackBuild
index be060ec23..19ec515fa 100755
--- a/source/a/minicom/minicom.SlackBuild
+++ b/source/a/minicom/minicom.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.5
+VERSION=2.6
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
@@ -56,7 +56,7 @@ mkdir -p $TMP $PKG
# minicom
cd $TMP
rm -rf minicom-$VERSION
-tar xzvf $CWD/minicom-$VERSION.tar.gz || exit 1
+tar xvf $CWD/minicom-$VERSION.tar.xz || exit 1
cd minicom-$VERSION
# The following command renames the internal implementation of getline
@@ -79,7 +79,7 @@ make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/etc
zcat $CWD/minicom.users.gz > $PKG/etc/minicom.users.new
-printf "# Machine-generated file - use "minicom -s" to change parameters.\n" \
+printf "# Machine-generated file - use \"minicom -s\" to change parameters.\n" \
> $PKG/etc/minirc.dfl.new
mkdir -p $PKG/usr/doc/minicom-$VERSION
@@ -97,8 +97,6 @@ if [ -r ChangeLog ]; then
fi
# lzrz
-# If autotools causes failure here (which it probably will), temporarily
-# move /usr/bin/auto{conf,header,make} out of the way and it should work...
cd $TMP
rm -rf lrzsz-990823
@@ -119,6 +117,9 @@ for i in debian/patches/* ; do patch -p1 < $i || exit 1 ; done
--mandir=/usr/man \
--build=$ARCH-slackware-linux
+touch stamp-h.in # to stop autoheader from running
+touch -d yesterday aclocal.m4 # to stop automake from running
+
make $NUMJOBS || make || exit 1
cp src/lrz src/lsz $PKG/usr/bin